Subject: Re: [PATCH v1] NFC: Add nfc_dbg() macro

From: Andy Shevchenko <[email-masked]>
Date: Sun, 26 Mar 2017 15:37:01 +0300

On Wed, 2017-03-22 at 21:22 +0200, Andy Shevchenko wrote:
> In some cases nfc_dbg() is useful. Add such macro to a header.
> 

I think we may drop this, since the idea is to get rid of such macros
(as I read back in 2011 in commit message of change that removed
nfc_dbg() one).

I will re-do dependent series to not use it at all.

> Signed-off-by: Andy Shevchenko <[email-masked]>
> ---
>  include/net/nfc/nfc.h | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/include/net/nfc/nfc.h b/include/net/nfc/nfc.h
> index 1a3de8b34ad2..bbdc73a3239d 100644
> --- a/include/net/nfc/nfc.h
> +++ b/include/net/nfc/nfc.h
> @@ -27,6 +27,7 @@
>  #include <linux/device.h>
>  #include <linux/skbuff.h>
>  
> +#define nfc_dbg(dev, fmt, ...) dev_dbg((dev), "NFC: " fmt,
> ##__VA_ARGS__)
>  #define nfc_info(dev, fmt, ...) dev_info((dev), "NFC: " fmt,
> ##__VA_ARGS__)
>  #define nfc_err(dev, fmt, ...) dev_err((dev), "NFC: " fmt,
> ##__VA_ARGS__)
>  

-- 
Andy Shevchenko <[email-masked]>
Intel Finland Oy